Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.server
Class dbXML

    java.lang.Object
      com.dbxml.db.server.dbXML

public final class dbXML
extends java.lang.Object

The dbXML class defines global properties about the current dbXML profile.

Field Summary
`static java.lang.String` | `Author`
`static java.lang.String` | `Codename`
`static java.lang.String` | `Company`
`static java.lang.String` | `DEFAULT_FILER`
`static java.lang.Class` | `DEFAULT_FILER_CLASS`
`static java.lang.String` | `DEFAULT_HOST`
`static java.lang.String` | `DEFAULT_NAME_INDEXER`
`static java.lang.Class` | `DEFAULT_NAME_INDEXER_CLASS`
`static int` | `DEFAULT_PORT`
`static java.lang.String` | `DEFAULT_SECURITY_MANAGER`
`static java.lang.Class` | `DEFAULT_SECURITY_MANAGER_CLASS`
`static int` | `DEFAULT_SSL_PORT`
`static java.lang.String` | `DEFAULT_TEXT_INDEXER`
`static java.lang.Class` | `DEFAULT_TEXT_INDEXER_CLASS`
`static java.lang.String` | `DEFAULT_VALUE_INDEXER`
`static java.lang.Class` | `DEFAULT_VALUE_INDEXER_CLASS`
`static int` | `MajorVersion`
`static int` | `MinorVersion`
`static java.lang.String` | `PROP_DBXML_HOME`
`static int` | `SubMinorVersion`
`static java.lang.String` | `Title`
`static java.lang.String` | `URL`
`static java.lang.String` | `Version`
`static java.lang.String` | `VersionString`
`static java.lang.String` | `Year`

Constructor Summary
`dbXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_DBXML_HOME

    public static final java.lang.String PROP_DBXML_HOME

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_SSL_PORT

    public static final int DEFAULT_SSL_PORT

See Also:
  Constant Field Values

### DEFAULT_HOST

    public static final java.lang.String DEFAULT_HOST

See Also:
  Constant Field Values

### MajorVersion

    public static final int MajorVersion

See Also:
  Constant Field Values

### MinorVersion

    public static final int MinorVersion

See Also:
  Constant Field Values

### SubMinorVersion

    public static final int SubMinorVersion

See Also:
  Constant Field Values

### Version

    public static final java.lang.String Version

See Also:
  Constant Field Values

### Codename

    public static final java.lang.String Codename

See Also:
  Constant Field Values

### Title

    public static final java.lang.String Title

See Also:
  Constant Field Values

### Author

    public static final java.lang.String Author

See Also:
  Constant Field Values

### Year

    public static final java.lang.String Year

See Also:
  Constant Field Values

### Company

    public static final java.lang.String Company

See Also:
  Constant Field Values

### URL

    public static final java.lang.String URL

See Also:
  Constant Field Values

### VersionString

    public static final java.lang.String VersionString

See Also:
  Constant Field Values

### DEFAULT_FILER_CLASS

    public static final java.lang.Class DEFAULT_FILER_CLASS

### DEFAULT_FILER

    public static final java.lang.String DEFAULT_FILER

### DEFAULT_VALUE_INDEXER_CLASS

    public static final java.lang.Class DEFAULT_VALUE_INDEXER_CLASS

### DEFAULT_VALUE_INDEXER

    public static final java.lang.String DEFAULT_VALUE_INDEXER

### DEFAULT_NAME_INDEXER_CLASS

    public static final java.lang.Class DEFAULT_NAME_INDEXER_CLASS

### DEFAULT_NAME_INDEXER

    public static final java.lang.String DEFAULT_NAME_INDEXER

### DEFAULT_TEXT_INDEXER_CLASS

    public static final java.lang.Class DEFAULT_TEXT_INDEXER_CLASS

### DEFAULT_TEXT_INDEXER

    public static final java.lang.String DEFAULT_TEXT_INDEXER

### DEFAULT_SECURITY_MANAGER_CLASS

    public static final java.lang.Class DEFAULT_SECURITY_MANAGER_CLASS

### DEFAULT_SECURITY_MANAGER

    public static final java.lang.String DEFAULT_SECURITY_MANAGER

Constructor Detail

### dbXML

    public dbXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group